com.intellectualcrafters.plot.util

## Class ReflectionUtils.RefMethod.RefExecutor

- java.lang.Object
- - com.intellectualcrafters.plot.util.ReflectionUtils.RefMethod.RefExecutor

- Enclosing class:
    ReflectionUtils.RefMethod

      public class ReflectionUtils.RefMethod.RefExecutor
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectionUtils.RefMethod.RefExecutor(java.lang.Object e)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `call(java.lang.Object... params)` apply method for selected object

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectionUtils.RefMethod.RefExecutor

          public ReflectionUtils.RefMethod.RefExecutor(java.lang.Object e)

  - ### Method Detail

    - #### call

          public java.lang.Object call(java.lang.Object... params)

      apply method for selected object
      Parameters:
        `params` - sent parameters
      Returns:
        return value
      Throws:
        `java.lang.RuntimeException` - if something went wrong